### Method

# Ide PtyIntercept set_size

#### Declaration

    gboolean
    ide_pty_intercept_set_size (
      IdePtyIntercept* self,
      guint rows,
      guint columns
    )

#### Description

Proxies a winsize across to the inferior. If the PTY is the controlling PTY for the process, then SIGWINCH will be signaled in the inferior process.

Since we can’t track SIGWINCH cleanly in here, we rely on the external consuming program to notify us of SIGWINCH so that we can copy the new size across.

Available since: | 3.32

#### Parameters

`rows` | `guint`
| No description available.
`columns` | `guint`
| No description available.

#### Return value

Returns: | `gboolean`
| No description available.